org.bdgenomics.adam.models

# RecordGroup

#### class RecordGroup extends Serializable

Linear Supertypes
Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. RecordGroup
2. Serializable
3. Serializable
4. AnyRef
5. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new RecordGroup(sample: String, recordGroupName: String, sequencingCenter: Option[String] = scala.None, description: Option[String] = scala.None, runDateEpoch: Option[Long] = scala.None, flowOrder: Option[String] = scala.None, keySequence: Option[String] = scala.None, library: Option[String] = scala.None, predictedMedianInsertSize: Option[Int] = scala.None, platform: Option[String] = scala.None, platformUnit: Option[String] = scala.None)

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### val description: Option[String]

9. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

10. #### def equals(o: Any): Boolean

    Compares equality to another object.

    Compares equality to another object. Only checks equality via the sample and recordGroupName fields.

    o

      Object to compare against.

    returns

      Returns true if the object is a RecordGroup, and the sample and group name are equal. Else, returns false.

    Definition Classes
      RecordGroup → AnyRef → Any

11. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

12. #### val flowOrder: Option[String]

13. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

14. #### def hashCode(): Int

    Generates a hash from the sample and record group name fields.

    Generates a hash from the sample and record group name fields.

    returns

      Hash code for this object.

    Definition Classes
      RecordGroup → AnyRef → Any

15. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

16. #### val keySequence: Option[String]

17. #### val library: Option[String]

18. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

19. #### final def notify(): Unit

    Definition Classes
      AnyRef

20. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

21. #### val platform: Option[String]

22. #### val platformUnit: Option[String]

23. #### val predictedMedianInsertSize: Option[Int]

24. #### val recordGroupName: String

25. #### val runDateEpoch: Option[Long]

26. #### val sample: String

27. #### val sequencingCenter: Option[String]

28. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

29. #### def toSAMReadGroupRecord(): SAMReadGroupRecord

    Converts a record group into a SAM formatted record group.

    Converts a record group into a SAM formatted record group.

    returns

      A SAM formatted record group.

30. #### def toString(): String

    Definition Classes
      AnyRef → Any

31. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

32. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

33. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped